<?php
include "daemon/master.php" ;
include "daemon/config.php" ;
include "daemon/common.php" ;

$cmd = preg_replace( '[^a-z]', '', substr($_GET['cmd'], 0, 3) ) ;
$buf = makeCommand( $cmd ) ;
$sockSend = socket_create( AF_INET, SOCK_DGRAM, SOL_UDP ) ;
socket_sendto( $sockSend, $buf, strlen($buf), 0, $localhost, $listenPort ) ;
socket_close( $sockSend ) ;
?>
<html>
<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8">
  <meta http-equiv="Pragma" content="no-cache">
  <meta http-equiv="Cache-Control" content="no-store">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Expires" content="-1">
  <link rel="stylesheet" type="text/css" href="common.css">
  <title>CMD - <?php echo PGNAME; ?></title>
</head>
<body>
<?php
echo date("Y/m/d H:i:s - ") ;
switch( $cmd ) {
  case CMD_RSY:
    echo "resync driver data." ;
    break ;
  case CMD_BYE:
    echo "bye." ;
    break ;
  case CMD_RESTART:
    echo "reset." ;
    break ;
  case CMD_SW_BEST_KPH:
    echo "switch Best/KPH." ;
    break ;
  default:
    break ;
}
?>
</body>
</html>
