<?php
define( "SHM_KEY_C", ftok( __FILE__, "C" ) ) ;
define( "SHM_KEY_H", ftok( __FILE__, "H" ) ) ;
define( "SHM_KEY_T", ftok( __FILE__, "T" ) ) ;
const SHM_SIZE_C = 3 ;
const SHM_SIZE_H = 40960 ;
const SHM_SIZE_T = 1289 ;

const CHECKPOINT_NUM = 30 ;
const CARS_MAX = 20 ;
const PACKET_SIZE_T = 1289 ;
const PACKET_SIZE_C = 3 ;
const CMD_BYE = "bye" ;
const CMD_BYE_1 = "by1" ;
const CMD_BYE_2 = "by2" ;
const CMD_BYE_S = "bys" ;
const CMD_RESTART = "res" ;
const CMD_SW_BEST_KPH = "sbk" ;
const CMD_RSY = "rsy" ;
const FC_BASE = 3080 ;
const FC_MULTI = 2.0 ;
const LAPTIME_MAX = 2399.999 ;
const SECTORTIME_MAX = 599.999 ;
const INTERVAL_TIME = 0.10 ;
const STOP_LIMIT_TRACK = 30 ;
const STOP_LIMIT_PIT = 3 ;
const IS_DRIVING_DIST = 45 ;
const SPDDISP = 3 ;
const SPDDISP_FLAG = 0 ;
const KPHMAX = 355 ;
const NUM_LAPTIME = 8 ;
const SYNC_HOST = "http://nekodisc.net/" ;
//const SYNC_HOST = "http://192.168.100.2/" ;
define( "SYNC_SERVER", SYNC_HOST . "F1-2017Nekometry/sync/" ) ;
define( "SYNC_LOCATION", SYNC_SERVER . "sync.php" ) ;
const SYNC_DATA_SERVER = "_sync.dat" ;
define( "SYNC_DATA_CLIENT", SYNC_SERVER . SYNC_DATA_SERVER ) ;
const SYNC_TIME_LIMIT = 7200 ;
define( "DLIST_LOCATION", SYNC_SERVER . "dlist.php" ) ;
const SYNC_SEND_MAX = 3 ;
const SYNC_GET_MAX = 3 ;
const SYNC_WAIT = 5 ;
$SYNC_SEND_RESULT = FALSE ;
$SYNC_SEND_NEXT = 0 ;
$SYNC_SEND_COUNT = 0 ;
$SYNC_GET_RESULT = FALSE ;
$SYNC_GET_NEXT = 0 ;
$SYNC_GET_COUNT = 0 ;

const NMINDENT = 2 ;
const DATA_AL = 1 ;
const DATA_NUM = 2 ;
const DEBUG_ON = 0 ;
const DEBUG_LOG = "data/debug.log" ;
const PGNAME = "F1 2017 Nekometry" ;
const VERSION = "v1.5.0" ;
const AUTHOR = "NekoDisc" ;

$DEBUG_MODE = 0 ;
$DEBUG_INIT = 0 ;
$DEBUG_BUF = "" ;

$TRACKS = array(
 "Australia", "Malaysia", "China", "Bahrain", "Spain", "Monaco", "Canada",
 "Britain", "Germany", "Hungary", "Belgium", "Italy", "Singapore", "Japan",
 "Abu_Dhabi", "USA", "Brazil", "Austria", "Russia", "Mexico", "Azerbaijan",
 "Bahrain_S", "Britain_S", "USA_S", "Japan_S"
) ;
$SPDTRAP_DIST = array(
  255, 4965, 4560,  570,  611, 1923, 3677,
 4878,    0,  310, 2235,  746,  287,  580,
 2623, 3580,  175, 2098, 1078, 1031,  115,
  590, 1971,  376,  530
) ;
// Azerbaijan 5189 105
// belgium 1383 2225
// Japan 5116 570
/*
$SPDTRAP_MULTI = array(
  1.0190, 1.0000, 1.0085, 1.0126, 1.0120, 1.0555, 1.0162,
  1.0142, 1.0000, 1.0417, 1.0000, 1.0000, 1.0000, 1.0000,
  1.0000, 1.0000, 1.0000, 1.0296, 1.0092, 1.0000, 1.0000,
  1.0000, 1.0000, 1.0000, 1.0000
) ;
$CHECKPOINT_NUM = array(
  45, 30, 33, 34, 30, 24, 30,
  30, 30, 30, 30, 30, 30, 30,
  30, 30, 30, 30, 32, 30, 30,
  30, 30, 30, 30
) ;
*/

$TEAMS = array(
2017 => array(
   4 => "Mercedes",
   0 => "Redbull",
   1 => "Ferrari",
   6 => "Force India",
   7 => "Williams",
   2 => "McLaren",
   8 => "Toro Rosso",
  11 => "Haas",
   3 => "Renault",
   5 => "Sauber",
),
1980 => array(
   0 => "1992 Williams FW14B",
   1 => "1988 McLaren MP4/4",
   2 => "2008 McLaren MP4-23",
   3 => "2004 Ferrari F2004",
   4 => "1995 Ferrari 412 T2",
   5 => "2007 Ferrari F2007",
   6 => "1998 McLaren MP4-13",
   7 => "1996 Williams FW18",
   8 => "2006 Renault R26",
  10 => "2002 Ferrari F2002",
  11 => "2010 Redbull RB6",
  12 => "1991 McLaren MP4/6",
) ) ;

$TYRES = array(
  "0_2017" => "US",
  "1_2017" => "SS",
  "2_2017" => "S",
  "3_2017" => "M",
  "4_2017" => "H",
  "5_2017" => "I",
  "6_2017" => "W",
  "0_1980" => "D",
  "1_1980" => "D",
  "2_1980" => "D",
  "3_1980" => "D",
  "4_1980" => "D",
  "5_1980" => "W",
  "6_1980" => "W",
  "0_0" => "-",
) ;

$SESSION_TYPE = array(
  "TimeTrial", "Practice", "Qualifying", "Race",
) ;

$FUEL_MIX = array(
  "Lean", "Standard", "Rich", "Max",
) ;
$FUEL_MIX_MULTI = array(
  0.77, 1.00, 1.28, 1.40,
) ;
$UNPACK_FORMAT = "f76d01_/c24d02_/fd03_1/c5d04_" .
  "/f9d11a_/c9d11b_" . "/f9d12a_/c9d12b_" . "/f9d13a_/c9d13b_" .
  "/f9d14a_/c9d14b_" . "/f9d15a_/c9d15b_" . "/f9d16a_/c9d16b_" .
  "/f9d17a_/c9d17b_" . "/f9d18a_/c9d18b_" . "/f9d19a_/c9d19b_" .
  "/f9d20a_/c9d20b_" . "/f9d21a_/c9d21b_" . "/f9d22a_/c9d22b_" .
  "/f9d23a_/c9d23b_" . "/f9d24a_/c9d24b_" . "/f9d25a_/c9d25b_" .
  "/f9d26a_/c9d26b_" . "/f9d27a_/c9d27b_" . "/f9d28a_/c9d28b_" .
  "/f9d29a_/c9d29b_" . "/f9d30a_/c9d30b_" .
  "/f13d05_" ;

date_default_timezone_set( "Asia/Tokyo" ) ;
?>
